#!/bin/bash

PROG=hms.Hms

# set $JAVA_EXE  to the java runtime executable
JAVA_EXE=java/bin/java
# ******************************************************************
if [ "$DISPLAY" = "" ]
then
        XvfbRunning=`ps -ef | grep Xvfb | grep -v grep | wc -l | sed -e "s/ //g"`
        if [ $XvfbRunning -gt 0 ]
        then
                export DISPLAY=":1.0"
                printf "\nWARNING : Using virtual display - no graphics will be visible.\n\n"
        else
                printf "\nWARNING : Virtual display server is not running."
                printf "\n          Set DISPLAY variable or start Xvfb.\n\n"
                return -1
        fi
fi
# ******************************************************************

HMS_HOME=.

JARS=$HMS_HOME
JARS=$JARS:$HMS_HOME/hms.jar
JARS=$JARS:$HMS_HOME/ui
JARS=$JARS:$HMS_HOME/lib/commons-math.jar
JARS=$JARS:$HMS_HOME/lib/Environment.jar
JARS=$JARS:$HMS_HOME/lib/jdom.jar
JARS=$JARS:$HMS_HOME/lib/jython.jar
JARS=$JARS:$HMS_HOME/lib/MrSidReader.jar
JARS=$JARS:$HMS_HOME/lib/serializer.jar
JARS=$JARS:$HMS_HOME/lib/xalan.jar
JARS=$JARS:$HMS_HOME/lib/xercesImpl.jar
JARS=$JARS:$HMS_HOME/lib/xml-apis.jar
JARS=$JARS:$HMS_HOME/lib/images.jar

JAVA_LIB_PATH=$HMS_HOME
JAVA_LIB_OPT="-Djava.library.path=$JAVA_LIB_PATH"

PYHOME=.
PYOPTS="-Dpython.path=$JARS -Dpython.home=$PYHOME"

$JAVA_EXE -Dos.name="sunos" -DMapPanel.NoVolatileImage=true -Xms32M -Xmx512M $PYOPTS $JAVA_LIB_OPT -classpath $JARS $PROG $*

