import cwms.environment.*;
import hec.environment.*;

import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;

/**
 * Driver class to test host remote implementations of the hec.environment.Environment 
 * interface for testing by EnvClient
 * 
 * @see EnvClient
 */
public class EnvServer {
	
	public static void main (String args[]) throws Exception {

		int port = 1099;
		String hecLookupName  = "UserEnv";
		String cwmsLookupName = "CwmsEnv";
		try {
			if (args.length > 0) port = Integer.parseInt(args[0]);
		}
		catch (Exception e) {
			System.err.println("Cannot parse " + args[0] + " into an integer.");
			return;
		}
		
		String bindingName = "//localhost:" + port + "/" + hecLookupName;
		RmiEnvironment hecEnv = new RmiEnvironmentImpl();
		Naming.rebind(bindingName, UnicastRemoteObject.exportObject(hecEnv));
		System.out.println("Bound as " + bindingName);

		bindingName = "//localhost:" + port + "/" + cwmsLookupName;
		RmiEnvironment cwmsEnv = new RmiCwmsEnvironmentImpl();
		Naming.rebind(bindingName, UnicastRemoteObject.exportObject(cwmsEnv));
		System.out.println("Bound as " + bindingName);
	}
}
