package hec.environment;

/**
 * Interface specifying symbolic constants for standard pathnames
 */
public interface StdPathnameConstants {
	
	/**
	 * The symbolic constant representing the current user's home directory.
	 */
	public static final int USER_HOME       = 0x0101;
	
	/**
	 * The symbolic constant representing the current user's application data directory.
	 */
	public static final int USER_APPDATA    = 0x0102;
	
	/**
	 * The symbolic constant representing the current user's documents directory.
	 */
	public static final int USER_DOCS       = 0x0103;
	
	/**
	 * The symbolic constant representing the common/shared application data directory.
	 */
	public static final int COMMON_APPDATA  = 0x0201;
	
	/**
	 * The symbolic constant representing the common/shared documents directory.
	 */
	public static final int COMMON_DOCS     = 0x0202;
	
	/**
	 * The symbolic constant representing the directory under which programs are installed.
	 */
	public static final int PROGRAM_INSTALL = 0x0301;

}
